## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# FindFileStruct Struct Reference

List of all members.

## Public Member Functions

- const char * getName () const
    Retrieve name of file.
- bool isDirectory () const
    Determine whether file is a directory.
- bool isSelfOrParent () const

## Member Function Documentation

const char* FindFileStruct::getName | ( |  | ) | const

| Retrieve name of file. Returns: file name

bool FindFileStruct::isDirectory | ( |  | ) | const

| Determine whether file is a directory. Returns: true if file is a directory

bool FindFileStruct::isSelfOrParent | ( |  | ) | const

The documentation for this struct was generated from the following file:

- DirectoryEnumerator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.